Bug 117976 - system unbootable--with kernel--253
Summary: system unbootable--with kernel--253
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-10 18:29 UTC by Don Hardaway
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 02:08:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Don Hardaway 2004-03-10 18:29:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
just updated all files and now the system is unbootable at least at
init 5 level.

Version-Release number of selected component (if applicable):
kernel 253

How reproducible:
Always

Steps to Reproduce:
1.boot
2.
3.
    

Actual Results:  crashes

Expected Results:  boots

Additional info:

Comment 1 Bill Nottingham 2004-03-11 06:28:23 UTC
Do you have more information on the crash? Any messages?


Comment 2 Don Hardaway 2004-03-11 12:34:09 UTC
There are a lot of messages coming across the screen when you watch
the boot process but when it gets to init 5 the screen goes white as
before and i have to ctl-alt-delete.  When i have had screen problems
like this in the past it was XFree86.  I should be able to boot to
init 3.  What do you want me to do at that level.

Comment 3 Don Hardaway 2004-03-11 13:20:45 UTC
OK--here is the scoop.  I boot up to the login and after entering
userid and password a popup error screen comes up and says: "Unable to
set executable context". Then the screen goes white and thats it.

Comment 4 Jeff Needle 2004-03-11 13:38:47 UTC
There was a bad policy file in yesterday's build.  You need to boot
non-enforcing mode (add enforcing=0 to the kernel boot line in
grub.conf) and get a new policy file (1.8-3 or greater).

Comment 5 Don Hardaway 2004-03-11 15:11:28 UTC
No go!  booted into failsafe and used yum to update the policy file to
1.8.5.  rebooted and get the same error.  Now what??

Comment 6 Don Hardaway 2004-03-11 16:55:27 UTC
ok--i removed the policy file and then watching the bootup process all
of those errors saying something about problems with the "avc" file
went away but when i went to login the screen just froze.  I assume
you need the policy file to enter init 5.  the policy file was version
1.8.5.  Can i just get rid of all this policy stuff and boot normal or
is it an essential part of the system?

Comment 7 Daniel Walsh 2004-03-11 19:26:54 UTC
To turn off SELinux you can enter selinux=0 on the kernel line in grub.

If you want to test selinux, put the policy file back on the machine
and cd /etc/security/selinux/src/policy/
make load
make relabel 
reboot


You should be able to test the machine after that.

Dan

Comment 8 Don Hardaway 2004-03-12 12:07:43 UTC
OK-- here is what happened when i tried to make load.

[root@localhost policy]# make load
make: *** No rule to make target `load'.  Stop.


Comment 9 Don Hardaway 2004-03-12 13:21:53 UTC
Now--when logging out or shutting down the screen goes white--but it
still shuts down.  Something is effecting the screen upon logout and
shutdown.

Comment 10 Daniel Walsh 2004-03-18 05:03:24 UTC
Latest build in Rawhide and policy-1.9-1 should clean this up a lot.


Note You need to log in before you can comment on or make changes to this bug.